/* -*- Mode:C; Tab-width:4 -*- */
#include <rpc.h>


#define program_number       0x20118650
#define version_number                1
#define procedure_number              1
int *get_current_time();

pascal void
GetDateTime(time)
	 int *time;
	 extern;

int *
get_current_time()
{
  static int current_time;

  GetDateTime(&current_time); 
  return(&current_time);
}


application_init_hook()
{
   if(registerrpc(program_number,
				  version_number,
				  procedure_number,
				  get_current_time,
				  xdr_void,
				  xdr_int) != 0) {
	 printf("Error in registerrpc\n");
   }
}
